Skip to main content
POST
/
api
/
v2
/
Campaign
curl --request POST \
  --url https://api.interactsms.com/api/v2/Campaign \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "text": "Come check out v2 of our API!!",
  "from": "Phonovation",
  "recipientInfo": [
    {
      "msisdn": "35386xxxxxxx"
    }
  ]
}
'
{
  "success": true,
  "message": "Campaign scheduled",
  "errors": []
}

Authorizations

Authorization
string
header
required

Use the Password grant_type flow to get a JWT access token from https://auth.interactsms.com/token. Pass it as a Bearer token in the Authorization header to access the API.

Body

application/json
text
string
required

The content of the message.

Maximum string length: 2000
from
string
required

The sender identifier (Sender ID) that will appear as the message originator. This value must be one of the pre-approved Sender IDs assigned to your account. If an unregistered or unauthorized Sender ID is used, the request will be rejected.

Maximum string length: 20
recipientInfo
object[]
required

A list of recipient details who will receive this campaign message.

campaignName
string
default:API Broadcast

The name of the campaign, used for tracking and reporting.

Maximum string length: 30
sendAt
string<date-time>

Format: yyyy-MM-ddTHH:mmZ | The scheduled date and time (in UTC) when the campaign will be sent.

Response

OK

success
boolean
message
string | null
errors
string[] | null
Last modified on April 8, 2026